Skip to content

Schemas

Retrieve information about resource schemas supported by a SCIM service provider.

Retrieve schemas

Request

This operation is used to retrieve information about resource schemas supported by a SCIM service provider. An HTTP GET to the endpoint "/Schemas" will return all supported schemas in ListResponse format.

Note: The contents of each schema returned are described in Section 7 of [RFC7643].

Security
BearerAuth
GET
/scim/v2/Schemas
curl -i -X GET \
  https://innovario.apishowdown.com/_mock/catalog/api-showdown/api-hub/admin/openapi/scim/v2/Schemas \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Successful GET operation

Bodyapplication/json
schemasArray of stringsrequired
Default:["urn:ietf:params:scim:api:messages:2.0:ListResponse"]
Example:
[ "urn:ietf:params:scim:api:messages:2.0:ListResponse" ]
totalResultsinteger

The total number of results returned by the list.

Example:2
itemsPerPageinteger

The number of resources returned in a list response page.

Example:10
startIndexinteger

The 1-based index of the first result in the current set of list results.

resourcesArray of objects(Meta)
Example:
[ { "schemas": [], "id": "User", "name": "User", "endpoint": "/Users", "description": "User", "schema": "urn:ietf:params:scim:schemas:core:2.0:User", "schemaExtensions": [], "meta": {} }, { "schemas": [], "id": "Group", "name": "Group", "endpoint": "/Groups", "description": "Group", "schema": "urn:ietf:params:scim:schemas:core:2.0:Group", "meta": {} } ]
Response
{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:ListResponse" ], "totalResults": 2, "itemsPerPage": 10, "description": 1, "resources": [ {}, {} ] }